;Data rate specification
	;Decreasing the data rate may cause timer values to under/overflow...
	;Increasing the data rate may cause accuracy to suck...
	;Be careful, and simulate the results...
#define		XMIT_BPS			d'9600' 						;bits per second
#define		XMIT_uSPB			(d'1000000'/XMIT_BPS) 			;usec per bit


;Channels in 900 Mhz range	0xAxxx
#define		CHANNEL1	0xA060	;900.72	
#define		CHANNEL2	0xA320	;906	
#define		CHANNEL3	0xA4B0	;909	
#define		CHANNEL4	0xA708	;913.5	
#define		CHANNEL5	0xA8DA	;916.995	
#define		CHANNEL6	0xAA6A	;919.995	
#define		CHANNEL7	0xAD05	;924.9975	
#define		CHANNEL8	0xAF1A	;928.995	
#define		NUM_CHANNELS	d'8'

;Data format specification
;
;CAUTION: The format can't easily be changed without messing things up royally


;**Packet DEFINITION**
;Transmitter sends a "packet", consisting of a HEADER and data FRAME
;Header consists of 4 fixed fields (2 preamble, synch, syncl)
#define		BITSPERPACKET	(BITS_PER_HEADER+BITS_PER_FRAME+1)		

;the RX expects 16-bits of 'A's as a preamble to warm up, followed by 
;the 16-bit magic syncron to start FIFO buffering
;Defined by Integration, can't be changed
#define 	PREAMBLE	0xAA
#define		SYNCHRON	0x2DD4
#define		BITS_PER_HEADER	(d'8' * d'4')	;four bytes



;**FRAME DEFINITION**
;Actual data is sent in a single "frame"
#define		FRAME_FIELDS		d'7'
#define 	BITS_PER_FRAME					(8*(FRAME_FIELDS))

;Each frame consists of a id code word, signal_options, checksum and four channel words (all 8-bits each)
;The channel order is aileron, elevator, throttle, and rudder
;No Stopbit/postamble is used
;Store Channel values to send in SENDDATA frame
#define		ID_CODE_VAL		FRAME0		;value from 0-255, no restrictions
#define		SIGOPTS_VAL	FRAME1		;signal options
	;first four bits (AAAAxxxx) indicate the transmission type
	;bit 3 (xxxxBxxx) is reserved
	;last three bits (xxxxxCCC) are reserved
#define		SIGOPTS_TYPEMASK	b'11110000'	;mask for the transmission type
#define		ADV_BINDING		b'10010000'	;TX advertising as binding candidate
#define		REG_TX			b'00110000'	;Regular tranmission


;CHANNEL DEFINITION
;Channels consists of 7 digits of data [0-127], right justified into bit 6-0
#define		AIL_VAL 		FRAME2
#define 	ELE_VAL			FRAME3	
#define		ESC_VAL 		FRAME4
#define		RUD_VAL			FRAME5

;CheckSum
#define		CHECKSUM_VAL	FRAME6

